# Update Person

Updates a person’s profile details such as capacity, cost rate, billing type, or termination date.

Endpoint: PATCH /v1/people/{id}
Version: v1
Security: ApiKey

## Path parameters:

  - `id` (string, required)
    ID of the resource

## Request fields (application/json-patch+json):

  - `given_name` (string)
    The first name or given name of the Person.

  - `family_name` (string)
    The last name or family name of the Person.

  - `email_address` (string)
    The email address associated with the Person.

  - `capacity` (number)
    The capacity of this Person if they are using a custom capacity instead of their Role's capacity.Note: This value can be cleared out by sending `null` in the request body.

  - `billable_utilization_target` (number)
    The billable utilization target of this Person if they are using a custom target utilization instead of their Role's target utilization. Note: This value can be cleared out by sending `null` in the request body.

  - `billable` (boolean)
    Denotes whether this Person's time worked is billable. Defaults to `true` for new records.

  - `start_date` (string)
    The earliest date this Person is available for resourcing on a Project. The Person's capacity prior to this date is 0%.

  - `end_date` (string)
    If this Person will have or has had their employment or contract terminated, this is the last date they are available for resourcing on a project. They will automatically be archived after this date has passed, and their capacity will drop to 0%. This value can be cleared out by sending `null` in the request body.

  - `worker_type` (string)
    Denotes whether this Person is a full time employee, contractor, etc. Defaults to `full_time` for new records.
    Enum: "full_time", "contractor"

  - `tags` (array)
    A list of tags used to categorize the Person for filtering, reporting, or custom grouping.

  - `image_url` (string)
    A publicly-accessible URL to an avatar for this Person.

  - `archived` (boolean)
    Denotes whether this Person has been archived. This is complimentary to an `EndDate` that is today or in the past.

## Response 400 fields (application/json):

  - `type` (string)
    RFC reference for the error type

  - `title` (string)
    Human-readable summary of the error

  - `status` (integer)
    HTTP status code

  - `errors` (array)
    Detailed error messages for each validation failure

  - `trace_id` (string)
    Trace identifier for debugging

